## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class SybaseASABaseEventImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl
                                      org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseEventImpl

All Implemented Interfaces:
  SybaseASABaseEvent, Event, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASACatalogBaseEvent

    public class SybaseASABaseEventImpl

extends org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl
implements SybaseASABaseEvent

An implementation of the model object 'Sybase ASA Base Event'.

The following features are implemented:

- `Event Type`
- `Event Creator`
- `Location`
- `Schedules`
- `Condition Details`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`Schema` `basicGetEventCreator()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` `getConditionDetails()`
`Schema` `getEventCreator()`
`EventType` `getEventType()`
`EventLocationType` `getLocation()`
`org.eclipse.emf.common.util.EList` `getSchedules()`
`void` `setEventCreator(Schema newEventCreator)`
`void` `setEventType(EventType newEventType)`
`void` `setLocation(EventLocationType newLocation)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl
`basicGetDatabase, basicSetDatabase, getAction, getCondition, getDatabase, getFor, isEnabled, setAction, setCondition, setDatabase, setEnabled, setFor`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Event
`getAction, getCondition, getDatabase, getFor, isEnabled, setAction, setCondition, setDatabase, setEnabled, setFor`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getEventType

    public EventType getEventType()

  Specified by:
    `getEventType` in interface `SybaseASABaseEvent`
  Returns:
    the value of the 'Event Type' attribute.
  See Also:
    `EventType`, `SybaseASABaseEvent.setEventType(EventType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_EventType()`

### setEventType

    public void setEventType(EventType newEventType)

  Specified by:
    `setEventType` in interface `SybaseASABaseEvent`
  Parameters:
    `newEventType` - the new value of the 'Event Type' attribute.
  See Also:
    `EventType`, `SybaseASABaseEvent.getEventType()`

### getEventCreator

    public Schema getEventCreator()

  Specified by:
    `getEventCreator` in interface `SybaseASABaseEvent`
  Returns:
    the value of the 'Event Creator' reference.
  See Also:
    `SybaseASABaseEvent.setEventCreator(Schema)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_EventCreator()`

### basicGetEventCreator

    public Schema basicGetEventCreator()

### setEventCreator

    public void setEventCreator(Schema newEventCreator)

  Specified by:
    `setEventCreator` in interface `SybaseASABaseEvent`
  Parameters:
    `newEventCreator` - the new value of the 'Event Creator' reference.
  See Also:
    `SybaseASABaseEvent.getEventCreator()`

### getLocation

    public EventLocationType getLocation()

  Specified by:
    `getLocation` in interface `SybaseASABaseEvent`
  Returns:
    the value of the 'Location' attribute.
  See Also:
    `EventLocationType`, `SybaseASABaseEvent.setLocation(EventLocationType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_Location()`

### setLocation

    public void setLocation(EventLocationType newLocation)

  Specified by:
    `setLocation` in interface `SybaseASABaseEvent`
  Parameters:
    `newLocation` - the new value of the 'Location' attribute.
  See Also:
    `EventLocationType`, `SybaseASABaseEvent.getLocation()`

### getSchedules

    public org.eclipse.emf.common.util.EList getSchedules()

  Specified by:
    `getSchedules` in interface `SybaseASABaseEvent`
  Returns:
    the value of the 'Schedules' containment reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_Schedules()`, `Schedule.getEvent()`

### getConditionDetails

    public org.eclipse.emf.common.util.EList getConditionDetails()

  Specified by:
    `getConditionDetails` in interface `SybaseASABaseEvent`
  Returns:
    the value of the 'Condition Details' containment reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_ConditionDetails()`, `EventCondition.getEvent()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`